﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KnobAnalogInput_Host
{
    public class ShellViewModel : BaseShellViewModel
    {
        private static ShellViewModel _Singleton;
        public static ShellViewModel Singleton
        {
            get
            {
                if (_Singleton == null)
                {
                    // Create the singleton
                    new ShellViewModel();
                }
                return _Singleton;
            }
        }

        public ShellViewModel()
            : base()
        {
            if (_Singleton != null)
            {
                throw new Exception("The singleton already exists.");
            }
            _Singleton = this;
        }
    }
}